Package org.eclipse.emf.cdo.spi.server

# Class RepositoryUserManager.RepositoryInjector

java.lang.Object
org.eclipse.emf.cdo.spi.server.RepositoryUserManager.RepositoryInjector

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IElementProcessor`

Enclosing class:
  RepositoryUserManager

public static class RepositoryUserManager.RepositoryInjector extends Object implements org.eclipse.net4j.util.container.IElementProcessor
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`RepositoryInjector()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`process(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, Object element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RepositoryInjector

public RepositoryInjector()

## Method Details

### process

public Object process(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, Object element)

Specified by:
  `process` in interface `org.eclipse.net4j.util.container.IElementProcessor`